Module java.desktop
Package javax.swing.plaf.basic

# Class BasicScrollPaneUI.MouseWheelHandler

java.lang.Object
javax.swing.plaf.basic.BasicScrollPaneUI.MouseWheelHandler

All Implemented Interfaces:
  `MouseWheelListener`, `EventListener`

Enclosing class:
  BasicScrollPaneUI

protected class BasicScrollPaneUI.MouseWheelHandler extends Object implements MouseWheelListener
MouseWheelHandler is an inner class which implements the MouseWheelListener interface. MouseWheelHandler responds to MouseWheelEvents by scrolling the JScrollPane appropriately. If the scroll pane's `isWheelScrollingEnabled` method returns false, no scrolling occurs.

Since:
  1.4
See Also:
  `JScrollPane.isWheelScrollingEnabled()`, `BasicScrollPaneUI.createMouseWheelListener()`, `MouseWheelListener`, `MouseWheelEvent`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MouseWheelHandler()`
Constructs a `MouseWheelHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseWheelMoved​(MouseWheelEvent e)`
Called when the mouse wheel is rotated while over a JScrollPane.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MouseWheelHandler

protected MouseWheelHandler()
Constructs a `MouseWheelHandler`.

## Method Details

### mouseWheelMoved

public void mouseWheelMoved​(MouseWheelEvent e)
Called when the mouse wheel is rotated while over a JScrollPane.

Specified by:
  `mouseWheelMoved` in interface `MouseWheelListener`
Parameters:
  `e` - MouseWheelEvent to be handled
Since:
  1.4
See Also:
  `MouseWheelEvent`